import 'package:example/app/routes/app_pages.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'package:get/get.dart';
import 'package:ourads/ourads.dart';
import 'package:wolfizutils/wolfizutils.dart';

import '../controllers/home_controller.dart';

class HomeView extends GetView<HomeController> {
  const HomeView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('HomeView'),
        centerTitle: true,
      ),
      body: Container(
        width: ScreenUtil().screenWidth,
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.BANNER_ADS);
              },
              child: Text("Banner Ads"),
            ),
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
                OurAds.showInterstitialAd();
              },
              child: Text("Show Interstitial Ad"),
            ),
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
                OurAds.showInterstitialAd();
              },
              child: Text("Show Interstitial Video Ad"),
            ),
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
                OurAds.showInterstitialAd();
              },
              child: Text("Show Rewarded Ad"),
            ),
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
                OurAds.showInterstitialAd();
              },
              child: Text("Show Rewarded Interstitial Ad"),
            ),
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
                OurAds.showInterstitialAd();
              },
              child: Text("Show Native Advanced Ad"),
            ),
            ElevatedButton(
              onPressed: () {
                Get.toNamed(Routes.SHOW_INTERSTITIAL_AD);
                OurAds.showInterstitialAd();
              },
              child: Text("Show Native Advanced Video Ad"),
            ),
            50.hb,
          ],
        ),
      ),
    );
  }
}
