import 'package:get/get.dart';

import '../modules/banner_ads/bindings/banner_ads_binding.dart';
import '../modules/banner_ads/views/banner_ads_view.dart';
import '../modules/home/bindings/home_binding.dart';
import '../modules/home/views/home_view.dart';
import '../modules/show_interstitial_ad/bindings/show_interstitial_ad_binding.dart';
import '../modules/show_interstitial_ad/views/show_interstitial_ad_view.dart';

part 'app_routes.dart';

class AppPages {
  AppPages._();

  static const INITIAL = Routes.HOME;

  static final routes = [
    GetPage(
      name: _Paths.HOME,
      page: () => const HomeView(),
      binding: HomeBinding(),
    ),
    GetPage(
      name: _Paths.BANNER_ADS,
      page: () => const BannerAdsView(),
      binding: BannerAdsBinding(),
    ),
    GetPage(
      name: _Paths.SHOW_INTERSTITIAL_AD,
      page: () => const ShowInterstitialAdView(),
      binding: ShowInterstitialAdBinding(),
    ),
  ];
}
